import React from "react";
import { Link } from "react-router-dom";

import ITguild from "assets/images/logo/ITguild.svg";

import "./burgerMenu.scss";

export const BurgerMenu = ({ active }) => {
  const items = [
    {
      name: "Вход",
      path: "/auth"
    },
    {
      name: "Личный кабинет",
      path: "/profile"
    },
    {
      name: "Трекер",
      path: "/tracker-intro"
    },
    {
      name: "Тесты",
      path: "/quiz"
    },
    {
      name: "Формы",
      path: "/forms"
    },
    {
      name: "Школа",
      path: "/"
    },
    {
      name: "Контакты",
      path: "/"
    },
    {
      name: "Блог",
      path: "/blog"
    },
    {
      name: "FAQ",
      path: "/frequently-asked-questions"
    }
  ];
  return (
    <div className={active ? "burger-menu active" : "burger-menu"}>
      <div className="blur" />
      <div className={active ? "menu active" : "menu"}>
        <div className="menu__title">
          <img src={ITguild}></img>
        </div>
        <ul className="menu__navigation">
          {items.map((item) => (
            <li key={item.name}>
              <Link to={item.path}>{item.name}</Link>
            </li>
          ))}
        </ul>
        <p className="menu__politic">Политика конфиденциальности</p>
      </div>
    </div>
  );
};
