import React from "react";

import { Footer } from "@components/Common/Footer/Footer";
import { Navigation } from "@components/Navigation/Navigation";
import { ProfileBreadcrumbs } from "@components/ProfileBreadcrumbs/ProfileBreadcrumbs";
import { ProfileHeader } from "@components/ProfileHeader/ProfileHeader";

import titleImg from "assets/images/VacancyItemImg.svg";

import "./vacancy.scss";

export const Vacancy = () => {
  return (
    <div className="vacancy">
      <ProfileHeader />
      <Navigation />
      <div className="container">
        <div className="vacancy-content">
          <ProfileBreadcrumbs
            links={[
              { name: "Главная", link: "/profile" },
              {
                name: "Работа в IT открытые запросы",
                link: "/profile/open-requests"
              }
            ]}
          />
          <h2 className="opening__title">Laravel Middle+/Senior</h2>
          <div className="opening">
            <div className="opening__head">
              <span className="opening__img">
                <img src={titleImg} alt="img" />
              </span>
              <h4 className="opening__name">
                Проект представляет из себя монолит с большим техдолгом, нужен
                php разработчик с опытом распила монолита на модули/микросервисы
              </h4>
            </div>
            <div className="opening__info">
              <div className="opening__description">
                <span>Требования :</span>
                <ul>
                  <li>
                    Опыт разработки на Golang 2+ года и общий опыт разработки 3+
                    года;
                  </li>
                  <li>
                    Понимание устройства языка Go (многопоточность, шедулер,
                    кодогенерация);
                  </li>
                  <li>
                    Опыт работы с брокерами сообщений (Kafka, RabbitMQ, Nuts и
                    etc);
                  </li>
                  <li>
                    Опыт работы с реляционными БД (PostgreSQL, ClickHouse и
                    etc);
                  </li>
                  <li>
                    Знание сетевого стека и основных сетевых протоколов на
                    высоком уровне;
                  </li>
                  <li>
                    Опыт работы с различными средствами автоматизации для
                    процессов разработки (Nexus, Gitlab registry etc)
                    (необходимо для понимания предметной области);
                  </li>
                  <li>
                    Понимание работы прокси и опыт работы с различными решениями
                    (Nginx, Haproxy, Squid).
                  </li>
                </ul>
              </div>
              <div className="opening__blocks">
                <div className="opening__block">
                  <div className="opening__block__info">
                    <span>Грейд:</span>
                    <p>Middle+/Senior</p>
                  </div>
                  <div className="opening__block__info">
                    <span>Ставка:</span>
                    <p>1500 руб. час</p>
                  </div>
                </div>
                <div className="opening__block">
                  <div className="opening__block__info">
                    <span>Локация:</span>
                    <p>РФ, РБ</p>
                  </div>
                  <div className="opening__block__info">
                    <span>Кол-во человек:</span>
                    <p>1 сотрудник</p>
                  </div>
                </div>
                <button className="opening__btn">Откликнуться</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <Footer />
    </div>
  );
};
